For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

List simulations

GET
https://api.reasoner.com/api/mindsim/simulations
GET
/api/mindsim/simulations
$curl https://api.reasoner.com/api/mindsim/simulations \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "simulations": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "userId": "123e4567-e89b-12d3-a456-426614174001",
6 "mindAssessmentId": "123e4567-e89b-12d3-a456-426614174002",
7 "title": "Simulation with John Doe",
8 "mindId": "123e4567-e89b-12d3-a456-426614174003",
9 "digitalTwinId": "123e4567-e89b-12d3-a456-426614174004",
10 "organizationId": "123e4567-e89b-12d3-a456-426614174005",
11 "createdAt": "2025-01-01T00:00:00.000Z",
12 "updatedAt": "2025-01-01T00:00:00.000Z"
13 }
14 ],
15 "count": 10
16}
Returns a list of simulations for the authenticated user
Was this page helpful?
Previous

Get a simulation

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Query parameters

offsetdoubleOptionalDefaults to 0
Offset for pagination
limitdoubleOptionalDefaults to 300
Limit for pagination

Response

Successful response
simulationslist of objects
countdouble